body.modal-open {
    overflow: auto !important;
    padding-right: 0 !important;
}
#modalsinglepurchase {
    position: absolute;
    top: 306px;
  right: auto;
  left: -56px !important;
    height: 450px;
    width: 500px;
}
.single-icon-purchase-modal.modal {
  position: absolute;
  padding: 0;
  overflow: visible;
  z-index: 1060;
}

.single-icon-purchase-modal .modal-dialog {
  margin: 0;
  transform: none !important;
  pointer-events: auto;
}

.single-icon-purchase-modal .modal-dialog.modal-dialog-centered {
  max-width: 450px;
}

#modalsinglepurchase .modal-content {
  box-shadow: 0px 4px 50px 0px rgba(0, 0, 0, 0.15);
}

.single-icon-purchase-modal .modal-dialog.modal-dialog-centered .modal-content {
  border-radius: 12px;
}

.single-icon-purchase-modal .modal-dialog.modal-dialog-centered .modal-body {
  border-radius: 12px;
  text-align: left;
  padding: 25px 40px 40px;
}

.single-icon-purchase-modal .modal-dialog.modal-dialog-centered .modal-body p {
  max-width: 100%;
  color: #13415A;
  margin-bottom: 15px;
  font-size: 16px;
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 15px;
  font-weight: 500;
}

.go-premium-svg-modal .modal-dialog.modal-dialog-centered .modal-body .gpsc {
  font-size: 14px;
  color: #13415A;
  margin-bottom: 25px;
  font-weight: 500;
}

.single-icon-purchase-modal .modal-dialog.modal-dialog-centered .modal-body h4 {
  font-size: 20px;
  font-weight: 600;
  color: #13415A;
  margin-bottom: 15px;
}

.single-icon-purchase-modal .modal-dialog.modal-dialog-centered .modal-body p img {
  width: 16px;
  height: auto;
}

.single-icon-purchase-modal .modal-dialog.modal-dialog-centered .modal-body a.btn.btn-royal {
  margin-top: 25px;
  font-size: 14px;
  font-weight: 600;
}
/* @media (max-width: 1550px){
  #modalsinglepurchase {
    position: absolute;
    top: 598x;
    right: auto;
    left: 950px !important;
    height: 450px;
    width: 500px;
}
} */
@media(max-width:1370px){
  #modalsinglepurchase {
        position: absolute;
        top: 294px;
        right: auto;
        left: -118px !important;
        height: 450px;
        width: 450px;
    }

}

@media (max-width:1280){
      #modalsinglepurchase {
        position: absolute;
        top: 294px;
        right: auto;
        left: -70px !important;
        height: 450px;
        width: 500px;
    }
}
@media (max-width:1200px){
      #modalsinglepurchase {
        position: absolute;
        top: 297px;
        right: auto;
        left: 0px !important;
        height: 450px;
        width: 500px;
    }
}
@media (max-width: 1024px){
      #modalsinglepurchase {
        position: absolute;
        top: 295px;
        right: auto;
        left: 0px !important;
        height: 450px;
        width: 500px;
    }
}
@media (max-width: 767px) {

      #modalsinglepurchase {
        top: 325px !important;
        
    }
        #modalsinglepurchase {
        height: 450px;
        width: 100% !important;
    }

  .single-icon-purchase-modal .modal-dialog.modal-dialog-centered {
    min-height: calc(30% - 1rem);
    width: 100%;
  }

  .single-icon-purchase-modal .modal-dialog.modal-dialog-centered .modal-body {
    padding: 20px 20px 28px;
  }

  .single-icon-purchase-modal .modal-dialog.modal-dialog-centered .modal-body h4 {
    margin-bottom: 18px;
    font-size: 18px;
  }

  .single-icon-purchase-modal .modal-dialog.modal-dialog-centered .modal-body p {
    font-size: 15px;
    gap: 12px;
  }
}
